Monitor editions
GET
/v1/monitor/editionsEvery month and edition of the World Tourism Monitor held, with how many countries each covers.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
No parameters.
Request
# Every edition of the Monitor held
curl "https://api.tourismapi.com/v1/monitor/editions" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/monitor/editions", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/monitor/editions",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/monitor/editions");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_62702115ee",
"data_as_of": "2026-10-20T04:48:26Z",
"count": 829
},
"data": [
{
"month": "2026-08",
"edition": "africa",
"countries": 3,
"status": "complete",
"built_at": "2026-10-19T15:42:30Z"
},
{
"month": "2026-08",
"edition": "americas",
"countries": 7,
"status": "complete",
"built_at": "2026-10-19T15:42:30Z"
},
{
"month": "2026-08",
"edition": "asia-pacific",
"countries": 17,
"status": "complete",
"built_at": "2026-10-19T15:42:30Z"
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| month | string | 2026-08 |
| edition | string | africa |
| countries | number | 3 |
| status | string | complete |
| built_at | string | 2026-10-19T15:42:30Z |